<template>
    <div id="app">
        <router-view />
    </div>
</template>

<script>
export default {
    name: 'app',
    components: {},
    data() {
        return {
            isRouterAlive: true,
            heartCheck: null,
            lockReconnect: false,
        }
    },
    created() {
        const that = this
        // 流程相关
        // that.$store._vm.$root.$on('login-completed', function () {
        //获取静态资源目录
        // that.$store.dispatch('menu/getStaticMenus')
        // 获取用户接口权限
        // that.$store.dispatch('menu/getCurrentUserMethodAuth')
        // 获取动态资源目录
        // that.$store.dispatch('menu/getSyncMenus')
        // })
    },
    mounted() {
        // 因为resize事件在整个项目中只能监听一次，所以这里通过全局广播发送这个事件
        window.onresize = () => {
            this.$root.$emit('resize')
        }
    },
    methods: {
        reload() {
            this.isRouterAlive = false
            setTimeout(() => {
                this.isRouterAlive = true
            }, 10)
        },
    },
}
</script>

<style lang="scss" scoped>
@import '@/assets/css/element-variables.scss';

.theme_color {
    background-color: $--theme-color;
}
#app {
    // background: $--background-color-base;
    // background: url('./assets/img/bg2.png') center / 100% 100% no-repeat;
}

@media print {
    #app {
        height: auto !important;
    }
    .no-print {
        display: none;
    }
    .base-main {
        background: #ffffff !important;
        padding: 0px !important;
    }
}
.base-main {
    // background-color: $--bg-color-page;
    padding-top: 8px;
}
.hidden_scroll {
    &::-webkit-scrollbar {
        width: 0;
        background-color: transparent;
    }
}
.base-footer {
    border-top: 1.5px solid #ededed;
}

.el-dialog__header {
    padding: 10px !important;
    background: #f8f8f8;
    border-bottom: 1px solid #eee;
}

.el-dialog__header > .el-dialog__title {
    font-size: 15px;
}

.el-dialog__header > .el-dialog__headerbtn {
    top: 13px;
}

.el-dialog__header .el-dialog__close {
    font-weight: bold;
}

.el-dialog__footer {
    border-top: 1px solid #eee;
}

.rotating {
    animation: rotating 1.7s linear infinite;
}
</style>
<style>
#nprogress .bar {
    background: rgb(94, 239, 232) !important;
}
#nprogress .spinner {
  top: 6px;
  right: 6px;
}
#nprogress .spinner-icon {
    border-top-color: rgb(94, 239, 232) !important;
    border-left-color: rgb(94, 239, 232) !important;
}
</style>